# gdcm::ImageReader Class Reference

ImageReader. More...

`#include <gdcmImageReader.h>`

Inheritance diagram for gdcm::ImageReader:
[legend]
Collaboration diagram for gdcm::ImageReader:
[legend]

List of all members.

## Public Member Functions
| ImageReader ()
| ~ImageReader ()
Image & | GetImage ()
const Image & | GetImage () const
| Return the read image.
bool | Read ()
## Protected Member Functions
bool | ReadACRNEMAImage ()
bool | ReadImage (MediaStorage const &ms)

## Detailed Description

ImageReader.

Note:
  its role is to convert the DICOM DataSet into a gdcm::Image representation By default it is also loading the lookup table and overlay when found as they impact the rendering or the image

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES for the list of attribute that belong to what gdcm calls a 'Image'

Examples:

  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, FixBrokenJ2K.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, and PatchFile.cxx.

## Constructor & Destructor Documentation

gdcm::ImageReader::ImageReader | ( |  | ) |

gdcm::ImageReader::~ImageReader | ( |  | ) |

## Member Function Documentation

Image& gdcm::ImageReader::GetImage | ( |  | ) |

const Image& gdcm::ImageReader::GetImage | ( |  | ) | const

Return the read image.

Examples:
  CompressImage.cxx, ConvertToQImage.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, and PatchFile.cxx.

bool gdcm::ImageReader::Read | ( |  | ) | `[virtual]`

Read the DICOM image. There are two reason for failure: 1. The input filename is not DICOM 2. The input DICOM file does not contains an Image.

Reimplemented from gdcm::PixmapReader.

Examples:
  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, FixBrokenJ2K.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, and PatchFile.cxx.

bool gdcm::ImageReader::ReadACRNEMAImage | ( |  | ) | `[protected, virtual]`

Reimplemented from gdcm::PixmapReader.

bool gdcm::ImageReader::ReadImage | ( | MediaStorage const & | ms | ) | `[protected, virtual]`

Reimplemented from gdcm::PixmapReader.

The documentation for this class was generated from the following file:

- gdcmImageReader.h